# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class SetRefreshLimitRequest(JDCloudRequest):
    """
    设置用户刷新预热限额
    """

    def __init__(self, parameters, header=None, version="v1"):
        super(SetRefreshLimitRequest, self).__init__(
            '/task:configLimit', 'POST', header, version)
        self.parameters = parameters


class SetRefreshLimitParameters(object):

    def __init__(self,):
        """
        """

        self.subUsers = None
        self.refreshCount = None
        self.prefetchCount = None
        self.dirCount = None

    def setSubUsers(self, subUsers):
        """
        :param subUsers: (Optional) 子账号，只有传值才会设置子账号，其余不传或传空是设置主账号
        """
        self.subUsers = subUsers

    def setRefreshCount(self, refreshCount):
        """
        :param refreshCount: (Optional) 刷新个数，如果是首次设置，不传默认是2000；已经设置，再次设置是更新，不传表示不进行更新
        """
        self.refreshCount = refreshCount

    def setPrefetchCount(self, prefetchCount):
        """
        :param prefetchCount: (Optional) 刷新个数，如果是首次设置，不传默认是2000；已经设置，再次设置是更新，不传表示不进行更新
        """
        self.prefetchCount = prefetchCount

    def setDirCount(self, dirCount):
        """
        :param dirCount: (Optional) 刷新个数，如果是首次设置，不传默认是50；已经设置，再次设置是更新，不传表示不进行更新
        """
        self.dirCount = dirCount

