# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.


class LogicalBackups(object):

    def __init__(self, backupId=None, backupStartTime=None, backupEndTime=None, backupExpiretime=None, database=None, objects=None, sizeByte=None, isManual=None, status=None, errorMessages=None, ip=None, port=None):
        """
        :param backupId: (Optional) 全量备份ID
        :param backupStartTime: (Optional) 备份开始时间，UTC时间格式：YYYY-MM-DDTHH:mm:ssZ
        :param backupEndTime: (Optional) 备份结束时间，UTC时间格式：YYYY-MM-DDTHH:mm:ssZ
        :param backupExpiretime: (Optional) 备份到期时间，UTC时间格式：YYYY-MM-DDTHH:mm:ssZ
        :param database: (Optional) 要备份的对象名称, 如果不填、为空或为星号，表示对整个数据库进行备份
        :param objects: (Optional) 该全量备份中包含的备份对象，仅当备份为逻辑备份时返回
        :param sizeByte: (Optional) 备份大小，单位：Byte
        :param isManual: (Optional) 是否手动触发的备份任务 0代表自动触发的备份 1代表手动触发的
        :param status: (Optional) 备份状态 成功-COMPLETED  运行中-BUILDING  失败-ERROR
        :param errorMessages: (Optional) 错误信息，仅sucess为false时返回
        :param ip: (Optional) 源数据库的连接地址，可以为IP或者域名
        :param port: (Optional) 源数据库的端口
        """

        self.backupId = backupId
        self.backupStartTime = backupStartTime
        self.backupEndTime = backupEndTime
        self.backupExpiretime = backupExpiretime
        self.database = database
        self.objects = objects
        self.sizeByte = sizeByte
        self.isManual = isManual
        self.status = status
        self.errorMessages = errorMessages
        self.ip = ip
        self.port = port
