# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.


class Instance(object):

    def __init__(self, instanceId=None, instanceName=None, instanceVersion=None, instanceStatus=None, instanceClass=None, createTime=None, azId=None, vpcId=None, subnetId=None, charge=None, internalEndpoint=None, endpoint=None, kibanaUrl=None, headUrl=None, ipVersion=None, tags=None, dedicatedMaster=None, coordinating=None, kibanaFiUrl=None):
        """
        :param instanceId: (Optional) 实例ID
        :param instanceName: (Optional) 实例名称
        :param instanceVersion: (Optional) 实例版本，目前支持5.6.9和6.5.4两个版本
        :param instanceStatus: (Optional) 实例状态，running：运行，error：错误，creating：创建中，changing：变配中，stop：已停止，processing：处理中
        :param instanceClass: (Optional) 实例的配置信息
        :param createTime: (Optional) 创建时间，遵循ISO8601标准，使用UTC时间，格式为：YYYY-MM-DDTHH:mm:ssZ
        :param azId: (Optional) AZ信息，各AZ编码详见：https://docs.jdcloud.com/cn/jcs-for-elasticsearch/restrictions
        :param vpcId: (Optional) 所属VPC的ID
        :param subnetId: (Optional) 所属子网的ID
        :param charge: (Optional) 计费信息
        :param internalEndpoint: (Optional) 内网地址
        :param endpoint: (Optional) deprecated，见internalEndpoint
        :param kibanaUrl: (Optional) kibana地址
        :param headUrl: (Optional) head地址
        :param ipVersion: (Optional) 值为v4&v6时支持ipv6和ipv4, 值为空时仅支持ipv4
        :param tags: (Optional) Tag信息
        :param dedicatedMaster: (Optional) 是否开启了专用主节点，true为开启，false为不开启
        :param coordinating: (Optional) 是否开启了协调节点，true为开启，false为不开启
        :param kibanaFiUrl: (Optional) kibana floatIp地址
        """

        self.instanceId = instanceId
        self.instanceName = instanceName
        self.instanceVersion = instanceVersion
        self.instanceStatus = instanceStatus
        self.instanceClass = instanceClass
        self.createTime = createTime
        self.azId = azId
        self.vpcId = vpcId
        self.subnetId = subnetId
        self.charge = charge
        self.internalEndpoint = internalEndpoint
        self.endpoint = endpoint
        self.kibanaUrl = kibanaUrl
        self.headUrl = headUrl
        self.ipVersion = ipVersion
        self.tags = tags
        self.dedicatedMaster = dedicatedMaster
        self.coordinating = coordinating
        self.kibanaFiUrl = kibanaFiUrl
