# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class UpdateServiceRequest(JDCloudRequest):
    """
    修改 service

    """

    def __init__(self, parameters, header=None, version="v1"):
        super(UpdateServiceRequest, self).__init__(
            '/regions/{regionId}/services/{serviceName}', 'PATCH', header, version)
        self.parameters = parameters


class UpdateServiceParameters(object):

    def __init__(self,regionId, serviceName, ):
        """
        :param regionId: Region ID
        :param serviceName: Service Name
        """

        self.regionId = regionId
        self.serviceName = serviceName
        self.description = None
        self.logConfig = None

    def setDescription(self, description):
        """
        :param description: (Optional) 修改后的描述
        """
        self.description = description

    def setLogConfig(self, logConfig):
        """
        :param logConfig: (Optional) 修改后的日志配置，不修改的话传空值，关闭日志集logTopicUid传空值。
        """
        self.logConfig = logConfig

