# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.


class ApplicationRes(object):

    def __init__(self, clientId, clientName, tokenEndpointAuthMethod, grantTypes, responseTypes, redirectUris, clientUri, logoUri, tosUri, policyUri, scope, jwksUri, jwks, contacts, extension, accessTokenValiditySeconds, refreshTokenValiditySeconds, multiTenant, secretUpdateTime, updateTime, createTime, account, userType, ):
        """
        :param clientId:  应用ID，由京东云分配的16位数字ID
        :param clientName:  应用名
        :param tokenEndpointAuthMethod:  客户端认证方式
        :param grantTypes:  支持的OAuth类型
        :param responseTypes:  当grantTypes为authorization_code时，responseTypes为code；当grantTypes为implicit时，responseTypes为token
        :param redirectUris:  回调地址
        :param clientUri:  应用介绍地址
        :param logoUri:  应用logo地址
        :param tosUri:  应用服务协议地址
        :param policyUri:  应用隐私条款地址
        :param scope:  OAuth scope授权范围
        :param jwksUri:  JWKS地址
        :param jwks:  JWKS
        :param contacts:  应用联系信息
        :param extension:  应用扩展信息
        :param accessTokenValiditySeconds:  访问令牌有效期
        :param refreshTokenValiditySeconds:  刷新令牌有效期
        :param multiTenant:  是否为多租户应用
        :param secretUpdateTime:  应用密码更新时间
        :param updateTime:  应用更新时间
        :param createTime:  应用创建时间
        :param account:  创建应用的账户用户名
        :param userType:  允许登录应用的账号类型
        """

        self.clientId = clientId
        self.clientName = clientName
        self.tokenEndpointAuthMethod = tokenEndpointAuthMethod
        self.grantTypes = grantTypes
        self.responseTypes = responseTypes
        self.redirectUris = redirectUris
        self.clientUri = clientUri
        self.logoUri = logoUri
        self.tosUri = tosUri
        self.policyUri = policyUri
        self.scope = scope
        self.jwksUri = jwksUri
        self.jwks = jwks
        self.contacts = contacts
        self.extension = extension
        self.accessTokenValiditySeconds = accessTokenValiditySeconds
        self.refreshTokenValiditySeconds = refreshTokenValiditySeconds
        self.multiTenant = multiTenant
        self.secretUpdateTime = secretUpdateTime
        self.updateTime = updateTime
        self.createTime = createTime
        self.account = account
        self.userType = userType
