# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class DescribeThingTypeListRequest(JDCloudRequest):
    """
    查询物类型列表
    """

    def __init__(self, parameters, header=None, version="v2"):
        super(DescribeThingTypeListRequest, self).__init__(
            '/regions/{regionId}/coreinstances/{instanceId}/thingType:list', 'GET', header, version)
        self.parameters = parameters


class DescribeThingTypeListParameters(object):

    def __init__(self, regionId, instanceId, ):
        """
        :param regionId: 区域id
        :param instanceId: 实例Id
        """

        self.regionId = regionId
        self.instanceId = instanceId
        self.deviceMetaId = None
        self.deviceMetaName = None
        self.nodeType = None
        self.pageNo = None
        self.pageSize = None

    def setDeviceMetaId(self, deviceMetaId):
        """
        :param deviceMetaId: (Optional) 设备型号标识
        """
        self.deviceMetaId = deviceMetaId

    def setDeviceMetaName(self, deviceMetaName):
        """
        :param deviceMetaName: (Optional) 设备型号名称
        """
        self.deviceMetaName = deviceMetaName

    def setNodeType(self, nodeType):
        """
        :param nodeType: (Optional) 节点类型
        """
        self.nodeType = nodeType

    def setPageNo(self, pageNo):
        """
        :param pageNo: (Optional) 页码
        """
        self.pageNo = pageNo

    def setPageSize(self, pageSize):
        """
        :param pageSize: (Optional) 每页显示条数
        """
        self.pageSize = pageSize

