# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.


class PriceSpec(object):

    def __init__(self, buyType, billingType, carrier, bw, bp, ep, id=None, timeSpan=None, timeUnit=None):
        """
        :param buyType:  操作类型 1: 新购高防实例, 3: 升级高防实例
        :param billingType:  计费类型 1: 按配置 2: 按用量 3: 包年包月
        :param carrier:  链路类型, 1: 电信, 2: 电信、联通, 3: 电信、联通和移动
        :param bw:  业务带宽: 100, 150, 200, 250, ..., 2000, 单位: M
        :param bp:  保底带宽: 0, 10, 20, 30, 40, 50, 60, 80, 100, 单位: Gbps
        :param ep:  弹性带宽: 0, 10, 20, 30, 40, 50, 60, 70, 80, 90, 100, 120, 150, 200, 单位: Gbps
        :param id: (Optional) 实例 Id, 升级高防实例查询价格时必传
        :param timeSpan: (Optional) 购买防护包时长, 新购高防实例时必传
- timeUnit 为 3 时, 可取值 1-9
- timeUnit 为 4 时, 可取值 1-3

        :param timeUnit: (Optional) 购买时长类型, 新购高防实例时必传
- 3: 月
- 4: 年
        """

        self.buyType = buyType
        self.billingType = billingType
        self.carrier = carrier
        self.bw = bw
        self.bp = bp
        self.ep = ep
        self.id = id
        self.timeSpan = timeSpan
        self.timeUnit = timeUnit
