# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.


class LiveTaskInfo(object):

    def __init__(self, id=None, startMode=None, sourceUrl=None, pushUrl=None, status=None, startTime=None, endTime=None, callbackEvent=None, callbackUrl=None):
        """
        :param id: (Optional) 任务ID

        :param startMode: (Optional) 执行方式
- 0  立即执行
- 1  定时执行，根据参数设定的时间

        :param sourceUrl: (Optional) 拉流转推地址

        :param pushUrl: (Optional) 推流地址

        :param status: (Optional) 任务状态:
  - 0  任务启用
  - 1  任务运行中
  - 4  任务停止
  - 5  任务过期
  - 6  任务禁用

        :param startTime: (Optional) 任务开始时间
- UTC时间， ISO8601示例：2021-07-26T08:08:08Z

        :param endTime: (Optional) 任务结束时间
- UTC时间， ISO8601示例：2021-07-26T08:08:08Z

        :param callbackEvent: (Optional) 回调类型:
  - 0  当callbackUrl为空时，此值为0
  - 1  任务开始
  - 2  任务结束
  - 3  全部回调

        :param callbackUrl: (Optional) 回调地址
        """

        self.id = id
        self.startMode = startMode
        self.sourceUrl = sourceUrl
        self.pushUrl = pushUrl
        self.status = status
        self.startTime = startTime
        self.endTime = endTime
        self.callbackEvent = callbackEvent
        self.callbackUrl = callbackUrl
