# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class DescribeCustomMetricDataRequest(JDCloudRequest):
    """
    通过指定维度查询自定义监控的数据
    """

    def __init__(self, parameters, header=None, version="v2"):
        super(DescribeCustomMetricDataRequest, self).__init__(
            '/regions/{regionId}/namespaces/{namespaceUID}/metricData', 'POST', header, version)
        self.parameters = parameters


class DescribeCustomMetricDataParameters(object):

    def __init__(self, regionId,namespaceUID,query, ):
        """
        :param regionId: region
        :param namespaceUID: namespace
        :param query: 
        """

        self.regionId = regionId
        self.namespaceUID = namespaceUID
        self.endTime = None
        self.query = query
        self.startTime = None
        self.timeInterval = None

    def setEndTime(self, endTime):
        """
        :param endTime: (Optional) 查询时间范围的结束时间， UTC时间，格式：2016-12-11T00:00:00+0800（为空时，将由startTime与timeInterval计算得出）
        """
        self.endTime = endTime

    def setStartTime(self, startTime):
        """
        :param startTime: (Optional) 查询时间范围的开始时间， UTC时间，格式：2016-12-11T00:00:00+0800
        """
        self.startTime = startTime

    def setTimeInterval(self, timeInterval):
        """
        :param timeInterval: (Optional) 时间间隔：1h，6h，12h，1d，3d，7d，14d，固定时间间隔，timeInterval默认为1h，当前时间往 前1h
        """
        self.timeInterval = timeInterval

