# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class SetResourceRecordsStatusRequest(JDCloudRequest):
    """
    设置解析记录状态，STOP操作会将停止该记录的解析，直到再次START。批量设置时多个resourceRecordId用","分隔。批量设置时每次最多不超过100个记录

    """

    def __init__(self, parameters, header=None, version="v1"):
        super(SetResourceRecordsStatusRequest, self).__init__(
            '/regions/{regionId}/zone/{zoneId}/resourceRecords/{resourceRecordId}/status', 'PUT', header, version)
        self.parameters = parameters


class SetResourceRecordsStatusParameters(object):

    def __init__(self, regionId, zoneId, resourceRecordId, status):
        """
        :param regionId: 地域ID
        :param zoneId: zone id
        :param resourceRecordId: 解析记录ID
        :param status: 解析记录状态 START->正常解析 STOP->停止解析
        """

        self.regionId = regionId
        self.zoneId = zoneId
        self.resourceRecordId = resourceRecordId
        self.status = status

