# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class DescribeResizeModeIpTimeInfoRequest(JDCloudRequest):
    """
    查询缓存Red4.0实例是否支持新变配功能，是否支持并行变配, 变配需要的IP数量及变配预估时间

    """

    def __init__(self, parameters, header=None, version="v1"):
        super(DescribeResizeModeIpTimeInfoRequest, self).__init__(
            '/regions/{regionId}/cacheInstance/{cacheInstanceId}/describeResizeModeIpTimeInfo', 'POST', header, version)
        self.parameters = parameters


class DescribeResizeModeIpTimeInfoParameters(object):

    def __init__(self,regionId, cacheInstanceId, ):
        """
        :param regionId: 缓存Redis实例所在区域的Region ID。目前有华北-北京、华南-广州、华东-上海三个区域，Region ID分别为cn-north-1、cn-south-1、cn-east-2
        :param cacheInstanceId: 缓存Redis实例ID，是访问实例的唯一标识
        """

        self.regionId = regionId
        self.cacheInstanceId = cacheInstanceId
        self.cacheInstanceClass = None
        self.shardNumber = None

    def setCacheInstanceClass(self, cacheInstanceClass):
        """
        :param cacheInstanceClass: (Optional) 新规格。不传参只返回是否支持新变配功能。
        """
        self.cacheInstanceClass = cacheInstanceClass

    def setShardNumber(self, shardNumber):
        """
        :param shardNumber: (Optional) 自定义分片数。不传参只返回是否支持新变配功能。
        """
        self.shardNumber = shardNumber

