# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class ListOfFirewallRulesRequest(JDCloudRequest):
    """
    列出当前定义的所有防火墙规则。
    """

    def __init__(self, parameters, header=None, version="v1"):
        super(ListOfFirewallRulesRequest, self).__init__(
            '/zones/{zone_identifier}/firewall$$rules', 'GET', header, version)
        self.parameters = parameters


class ListOfFirewallRulesParameters(object):

    def __init__(self,zone_identifier, ):
        """
        :param zone_identifier: 
        """

        self.zone_identifier = zone_identifier
        self.id = None
        self.description = None
        self.action = None
        self.paused = None
        self.page = None
        self.per_page = None

    def setId(self, id):
        """
        :param id: (Optional) 防火墙规则标识符
        """
        self.id = id

    def setDescription(self, description):
        """
        :param description: (Optional) 描述中不区分大小写的搜索
        """
        self.description = description

    def setAction(self, action):
        """
        :param action: (Optional) 规则操作上的精确匹配
        """
        self.action = action

    def setPaused(self, paused):
        """
        :param paused: (Optional) 此防火墙规则当前是否已暂停。
        """
        self.paused = paused

    def setPage(self, page):
        """
        :param page: (Optional) 分页结果的页码
        """
        self.page = page

    def setPer_page(self, per_page):
        """
        :param per_page: (Optional) 每页的防火墙规则数
        """
        self.per_page = per_page

