# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class ModifySmsTaskUsingPOSTRequest(JDCloudRequest):
    """
    编辑短信发送任务
    """

    def __init__(self, parameters, header=None, version="v1"):
        super(ModifySmsTaskUsingPOSTRequest, self).__init__(
            '/smsTasks/{taskId}', 'POST', header, version)
        self.parameters = parameters


class ModifySmsTaskUsingPOSTParameters(object):

    def __init__(self, taskId, appId, signId, taskName, templateId):
        """
        :param taskId: 任务id
        :param appId: 应用id
        :param signId: 短信签名id
        :param taskName: 任务名称
        :param templateId: 短信模板id
        """

        self.taskId = taskId
        self.appId = appId
        self.sendNumberUrl = None
        self.sendTime = None
        self.signId = signId
        self.taskName = taskName
        self.templateId = templateId

    def setSendNumberUrl(self, sendNumberUrl):
        """
        :param sendNumberUrl: (Optional) 短信发送号码集合文件
        """
        self.sendNumberUrl = sendNumberUrl

    def setSendTime(self, sendTime):
        """
        :param sendTime: (Optional) 短信发送时间，不传表示立即发送
        """
        self.sendTime = sendTime

